summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Steven Pledger <piratesmack@ymail.com>2010-05-12 23:33:47 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:33:47 +0200
commit723d110c30606be3a10ab1f863c8f0dab7791b4e (patch)
tree9abdd58469bfb114478ebc10df49978676f62d11
parent84c1b62f41c085e6fd8edc44766b45b7f894f277 (diff)
downloadslackbuilds-723d110c30606be3a10ab1f863c8f0dab7791b4e.tar.gz
slackbuilds-723d110c30606be3a10ab1f863c8f0dab7791b4e.tar.xz
system/rar: Added to 12.2 repository
-rw-r--r--system/rar/README12
-rw-r--r--system/rar/doinst.sh15
-rw-r--r--system/rar/rar.SlackBuild54
-rw-r--r--system/rar/rar.info8
-rw-r--r--system/rar/slack-desc19
5 files changed, 108 insertions, 0 deletions
diff --git a/system/rar/README b/system/rar/README
new file mode 100644
index 0000000000..6e66eeb492
--- /dev/null
+++ b/system/rar/README
@@ -0,0 +1,12 @@
+rar is a command line utitility used to create RAR archives in Linux.
+
+Since the source code isn't available, this SlackBuild packages the
+official binary.
+
+NOTE: This is only an evaluation copy.
+If you wish to use RAR after the evaluation period of 40 days, you will
+have to purchase its license: http://www.rarlab.com/registration.php
+
+Recommended, but not scrictly required: unrar (available on SlackBuilds.org)
+
+Also note that this is an i386 binary - it won't work on pure x86_64 systems.
diff --git a/system/rar/doinst.sh b/system/rar/doinst.sh
new file mode 100644
index 0000000000..9c74f0a6d2
--- /dev/null
+++ b/system/rar/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/rarfiles.lst.new
+
diff --git a/system/rar/rar.SlackBuild b/system/rar/rar.SlackBuild
new file mode 100644
index 0000000000..8bde217f04
--- /dev/null
+++ b/system/rar/rar.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for rar
+# Written by Steven Pledger <piratesmack@ymail.com>
+
+PRGNAM=rar
+VERSION=${VERSION:-3.9.b2}
+ARCH=i386
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $TMP/$PRGNAM $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/${PRGNAM}linux-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/bin
+install -m 755 rar $PKG/usr/bin
+
+mkdir -p $PKG/usr/lib
+install -m 755 default.sfx $PKG/usr/lib
+
+mkdir -p $PKG/etc
+cat rarfiles.lst > $PKG/etc/rarfiles.lst.new
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ readme.txt whatsnew.txt license.txt rar.txt order.htm technote.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/rar/rar.info b/system/rar/rar.info
new file mode 100644
index 0000000000..dbae39c373
--- /dev/null
+++ b/system/rar/rar.info
@@ -0,0 +1,8 @@
+PRGNAM="rar"
+VERSION="1.9.b2"
+HOMEPAGE="http://www.rarlab.com/"
+DOWNLOAD="http://www.rarlab.com/rar/rarlinux-3.9.b2.tar.gz"
+MD5SUM="cf2436033f9a741b8aef2ae4d5bd344e"
+MAINTAINER="Steven Pledger"
+EMAIL="piratesmack@ymail.com"
+APPROVED="rworkman"
diff --git a/system/rar/slack-desc b/system/rar/slack-desc
new file mode 100644
index 0000000000..be70b3ec3f
--- /dev/null
+++ b/system/rar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rar: rar (creates rar archives)
+rar:
+rar: Create RAR archives in Linux.
+rar:
+rar: Homepage: http://www.rarlab.com
+rar:
+rar:
+rar:
+rar:
+rar:
+rar: